Python API
==========

.. Summary

.. currentmodule:: isaacsim.robot.surface_gripper

.. autosummary::
    :nosignatures:

    create_surface_gripper
    GripperView
    bindings._surface_gripper.SurfaceGripperInterface

|

.. API

.. autofunction:: isaacsim.robot.surface_gripper.create_surface_gripper

.. autoclass:: isaacsim.robot.surface_gripper.bindings._surface_gripper.SurfaceGripperInterface
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.robot.surface_gripper.GripperView
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
